/datasourceconnections/{id}/fieldsmappings
Path Parameters
- Type: integer Format: int32idrequired
Signed 32-bit integers (commonly used integer type).
Responses
Request Example for get/datasourceconnections/{id}/fieldsmappings
curl https://websvcs.quikforms.com/rest/datasources/v1000/datasourceconnections/1/fieldsmappings \
--header 'Authorization: YOUR_SECRET_TOKEN'
{
"errorCode": 1,
"message": null,
"errors": [
{
"message": null,
"type": null
}
],
"warnings": [
"string"
],
"resultData": {
"connectionId": 1,
"mappings": [
{
"id": null,
"sourceFieldName": null,
"dataObjectName": null,
"dataSourceMappingId": null,
"relationshipName": null,
"fieldReferenceTo": null,
"formField": {
"baseFieldName": null,
"fullFieldName": null,
"level1FieldId": 1,
"level2FieldId": null,
"level3FieldId": null,
"level1FieldShortName": null,
"level2FieldShortName": null,
"level3FieldShortName": null,
"fullFieldSystemName": null
},
"fullSourceFieldName": null
}
]
}
}